package com.example.ueberwachungssystem;

import androidx.camera.core.ExperimentalGetImage;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransaction;
import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

import com.example.ueberwachungssystem.Fragments.Fragment1;
import com.example.ueberwachungssystem.Fragments.Fragment2;

@ExperimentalGetImage
public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    //Fragmente
    private Fragment aktuellesFragment;
    private Fragment1 fragment1;
    private Fragment2 fragment2;

    //Textviews
    private TextView Auswahl;
    private TextView AoderA;
    private String auswahltext = "Wahl des Detektionsmodus";
    private String auswahlAoderA = "Wahl von Alarmmeldungen oder Auswahl von Alarmaufzeichnungen";
    //Buttons
    private ToggleButton toggleKamera;
    private ToggleButton toggleAudio;
    private ToggleButton toggleBewegung;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setTitle(this.getClass().getSimpleName());
        setContentView(R.layout.activity_main);
        Auswahl = findViewById(R.id.textAuswahl);
        Auswahl.setText(auswahltext);
        AoderA = findViewById(R.id.textAoderA);
        AoderA.setText(auswahlAoderA);
        toggleKamera = findViewById(R.id.toggleKamera);
        toggleKamera.setOnClickListener(this);
        toggleAudio = findViewById(R.id.toggleAudio);
        toggleAudio.setOnClickListener(this);
        toggleBewegung = findViewById(R.id.toggleBewegung);
        toggleBewegung.setOnClickListener(this);

    }
    @Override
    public void onClick(View v) {
        if (v == toggleKamera) {
            if (toggleKamera.isChecked()) {

            } else {

            }
        }
        if (v == toggleAudio) {
            if (toggleAudio.isChecked()) {

            } else {

            }
        }
        if (v == toggleBewegung) {
            if (toggleBewegung.isChecked()) {

            } else {

            }
        }
    }
    public void onClickZeigeFragment1(View view) {
        Button button = (Button) view;
        zeigeFragment(fragment1.erstellen("Hier stehen dann die Alarme"));
    }

    public void onClickZeigeFragment2(View view) {
        Button button = (Button) view;
        zeigeFragment(fragment2.erstellen("Hier stehen dann die Videos"));
    }

    public void onClickEntferneFragment(View view) {
        entferneFragment();
    }
    private void zeigeFragment(Fragment fragment) {
        FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
        ft.replace(R.id.frame, fragment);
        ft.commit();
        aktuellesFragment = fragment;
    }
    private void entferneFragment() {
        if (aktuellesFragment != null) {
            FragmentTransaction ft = getSupportFragmentManager().beginTransaction();
            ft.remove(aktuellesFragment);
            ft.commit();
            aktuellesFragment = null ;
        }
    }
}